Update a workspace
curl --request PATCH \
--url https://api.01ads.com/v1/organizations/{orgSlug}/workspaces/{workspaceSlug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.01ads.com/v1/organizations/{orgSlug}/workspaces/{workspaceSlug}"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.01ads.com/v1/organizations/{orgSlug}/workspaces/{workspaceSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "about:blank",
"title": "Validation Failed",
"status": 400,
"detail": "The request does not match the expected schema.",
"instance": "/v1/organizations/acme-corp/workspaces",
"requestId": "7c1b0c1e-5b7d-4b2a-9f1e-3c2d1a0b9e8f",
"errors": [
{
"path": "name",
"message": "Too small: expected string to have >=1 characters"
}
]
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "Authentication required. Sign in and try again.",
"instance": "/v1/organizations",
"requestId": "2f6a9c3d-1e4b-4a8c-b7d2-5e0f1a2b3c4d"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"instance": "/v1/me",
"detail": "<string>",
"requestId": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "Organization not found.",
"instance": "/v1/organizations/no-such-org",
"requestId": "a1b2c3d4-9e8f-4d7c-8b6a-5f4e3d2c1b0a"
}workspaces
Update a workspace
Name and description; requires an effective workspace admin role. The slug is changed, and the workspace deleted, by the platform operator on request (ADR-0031).
PATCH
/
v1
/
organizations
/
{orgSlug}
/
workspaces
/
{workspaceSlug}
Update a workspace
Was this page helpful?